Bug 40110 - univention-app crashed if docker cannot connect to image server
univention-app crashed if docker cannot connect to image server
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-2-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks: 40111
  Show dependency treegraph
 
Reported: 2015-11-26 11:49 CET by Daniel Tröder
Modified: 2018-01-15 17:32 CET (History)
4 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 5: Major Usability: Impairs usability in key scenarios
Who will be affected by this bug?: 3: Will affect average number of installed domains
How will those affected feel about the bug?: 4: A User would return the product
User Pain: 0.343
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?: Yes
Waiting Support:
Ticket number: 201712016093021000475, 2016121521000185, 2016122021000764, 2017031621000804, 2017040321000023, 2017040221000285, 2017032321000711, 2017052921000509, 2017053121000595, 2017061021000177, 2017062121000192, 2017070621000531, 2017071121000744, 2017073021000306
Bug group (optional): Error handling, External feedback
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Tröder univentionstaff 2015-11-26 11:49:13 CET
After configuring a non-existent http_proxy (to be introduced with Bug #40030) 
univention-install dudle-docker
crashes:

root@Test35:~/sync/univention-docker# univention-app install dudle-docker
Going to install Dudle-docker (1.0.0-2)
Creating data directories for dudle-docker...
Registering UCR for dudle-docker
Marking dudle-docker=1.0.0-2 as installed
File: /etc/univention/service.info/services/univention-appcenter.cfg
Creating /etc/init.d/docker-app-dudle-docker
 Adding system startup for /etc/init.d/docker-app-dudle-docker ...
   /etc/rc0.d/K14docker-app-dudle-docker -> ../init.d/docker-app-dudle-docker
   /etc/rc1.d/K14docker-app-dudle-docker -> ../init.d/docker-app-dudle-docker
   /etc/rc6.d/K14docker-app-dudle-docker -> ../init.d/docker-app-dudle-docker
   /etc/rc2.d/S41docker-app-dudle-docker -> ../init.d/docker-app-dudle-docker
   /etc/rc3.d/S41docker-app-dudle-docker -> ../init.d/docker-app-dudle-docker
   /etc/rc4.d/S41docker-app-dudle-docker -> ../init.d/docker-app-dudle-docker
   /etc/rc5.d/S41docker-app-dudle-docker -> ../init.d/docker-app-dudle-docker
Setting ports for apache proxy
Multifile: /etc/apache2/sites-available/default-ssl
Multifile: /etc/apache2/sites-available/default
Adding localhost to LDAP object
Setting overview variables
File: /var/www/ucs-overview/entries.json
Multifile: /etc/apache2/sites-available/default-ssl
Multifile: /etc/apache2/sites-available/default
Reloading web server config: apache2.
Creating data directories for dudle-docker...
Registering the container host dudle-docker-1448496408138266 for dudle-docker
Verifying Docker registry manifest for app image docker.software-univention.de/ucs-appbox-amd64:4.1-0
Downloading app image docker.software-univention.de/ucs-appbox-amd64:4.1-0
FATA[0000] Error response from daemon: v1 ping attempt failed with error: Get https://docker.software-univention.de/v1/_ping: http: error connecting to proxy http://127.0.0.1:3128: dial tcp 127.0.0.1:3128: connection refused. If this private registry supports only HTTP or HTTPS with an unknown CA certificate, please add `--insecure-registry docker.software-univention.de` to the daemon's arguments. In the case of HTTPS, if you have access to the registry's CA certificate, no need for the flag; simply place the CA certificate at /etc/docker/certs.d/docker.software-univention.de/ca.crt 
Could not login to docker.software-univention.de. You may not be able to pull the image from the repository!
FATA[0000] Error response from daemon: v1 ping attempt failed with error: Get https://docker.software-univention.de/v1/_ping: http: error connecting to proxy http://127.0.0.1:3128: dial tcp 127.0.0.1:3128: connection refused. If this private registry supports only HTTP or HTTPS with an unknown CA certificate, please add `--insecure-registry docker.software-univention.de` to the daemon's arguments. In the case of HTTPS, if you have access to the registry's CA certificate, no need for the flag; simply place the CA certificate at /etc/docker/certs.d/docker.software-univention.de/ca.crt 
Initializing app image
Unable to find image 'docker.software-univention.de/ucs-appbox-amd64:4.1-0' locally
time="2015-11-26T01:06:49+01:00" level=fatal msg="Error response from daemon: v1 ping attempt failed with error: Get https://docker.software-univention.de/v1/_ping: http: error connecting to proxy http://127.0.0.1:3128: dial tcp 127.0.0.1:3128: connection refused. If this private registry supports only HTTP or HTTPS with an unknown CA certificate, please add `--insecure-registry docker.software-univention.de` to the daemon's arguments. In the case of HTTPS, if you have access to the registry's CA certificate, no need for the flag; simply place the CA certificate at /etc/docker/certs.d/docker.software-univention.de/ca.crt" 
Going to remove Dudle-docker (1.0.0-2)
 Removing any system startup links for /etc/init.d/docker-app-dudle-docker ...
   /etc/rc0.d/K14docker-app-dudle-docker
   /etc/rc1.d/K14docker-app-dudle-docker
   /etc/rc2.d/S41docker-app-dudle-docker
   /etc/rc3.d/S41docker-app-dudle-docker
   /etc/rc4.d/S41docker-app-dudle-docker
   /etc/rc5.d/S41docker-app-dudle-docker
   /etc/rc6.d/K14docker-app-dudle-docker
Removing localhost from LDAP object
File: /var/www/ucs-overview/entries.json
File: /etc/univention/service.info/services/univention-appcenter.cfg
Multifile: /etc/apache2/sites-available/default-ssl
Multifile: /etc/apache2/sites-available/default
Reloading web server config: apache2.
File: /usr/share/univention-management-console/modules/apps.xml

File: /usr/share/univention-management-console/i18n/de/apps.mo

File: /etc/apt/apt.conf.d/55user_agent

Downloading "https://appcenter-test.software-univention.de/meta-inf/4.1/index.json.gz"...
Verbindungsaufbau abgelehnt
Error sending app infos to the App Center server
<urlopen error [Errno 111] Verbindungsaufbau abgelehnt>
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/__init__.py", line 260, in _send_information
    urlopen(request)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/utils.py", line 200, in urlopen
    return urllib2.urlopen(request, timeout=60)
  File "/usr/lib/python2.7/urllib2.py", line 127, in urlopen
    return _opener.open(url, data, timeout)
  File "/usr/lib/python2.7/urllib2.py", line 401, in open
    response = self._open(req, data)
  File "/usr/lib/python2.7/urllib2.py", line 419, in _open
    '_open', req)
  File "/usr/lib/python2.7/urllib2.py", line 379, in _call_chain
    result = func(*args)
  File "/usr/lib/python2.7/urllib2.py", line 1219, in https_open
    return self.do_open(httplib.HTTPSConnection, req)
  File "/usr/lib/python2.7/urllib2.py", line 1181, in do_open
    raise URLError(err)
URLError: <urlopen error [Errno 111] Verbindungsaufbau abgelehnt>
File: /usr/share/univention-management-console/modules/apps.xml

File: /usr/share/univention-management-console/i18n/de/apps.mo

File: /etc/apt/apt.conf.d/55user_agent

Downloading "https://appcenter-test.software-univention.de/meta-inf/4.1/index.json.gz"...
Verbindungsaufbau abgelehnt
Command '['docker', 'create', '--hostname', 'dudle-docker-1448496408138266', '-e', 'update_secure_apt=no', '-e', 'UPDATE_SECURE_APT=no', '-e', 'nameserver_external=false', '-e', 'NAMESERVER_EXTERNAL=false', '-e', 'repository_app_center_server=appcenter-test.software-univention.de', '-e', 'REPOSITORY_APP_CENTER_SERVER=appcenter-test.software-univention.de', '-e', 'server_role=memberserver', '-e', 'SERVER_ROLE=memberserver', '-e', 'repository_online_server=updates-test.software-univention.de', '-e', 'REPOSITORY_ONLINE_SERVER=updates-test.software-univention.de', '-e', 'nameserver2=192.168.0.3', '-e', 'NAMESERVER2=192.168.0.3', '-e', 'nameserver1=10.200.3.35', '-e', 'NAMESERVER1=10.200.3.35', '-e', 'domainname=Uni.Dtr', '-e', 'DOMAINNAME=Uni.Dtr', '-e', 'ldap_hostdn=cn=dudle-docker-1448496408138266,cn=memberserver,cn=computers,dc=Uni,dc=Dtr', '-e', 'LDAP_HOSTDN=cn=dudle-docker-1448496408138266,cn=memberserver,cn=computers,dc=Uni,dc=Dtr', '-e', 'locale=en_US.UTF-8:UTF-8 de_DE.UTF-8:UTF-8', '-e', 'LOCALE=en_US.UTF-8:UTF-8 de_DE.UTF-8:UTF-8', '-e', 'updater_identify=Docker App', '-e', 'UPDATER_IDENTIFY=Docker App', '-e', 'locale_default=de_DE.UTF-8:UTF-8', '-e', 'LOCALE_DEFAULT=de_DE.UTF-8:UTF-8', '-e', 'nameserver_option_timeout=2', '-e', 'NAMESERVER_OPTION_TIMEOUT=2', '-e', 'ldap_master_port=7389', '-e', 'LDAP_MASTER_PORT=7389', '-e', 'ldap_master=Test35.Uni.Dtr', '-e', 'LDAP_MASTER=Test35.Uni.Dtr', '-e', 'update_warning_releasenotes=no', '-e', 'UPDATE_WARNING_RELEASENOTES=no', '-p', '40000:80', '-p', '40001:443', '-v', '/var/lib/univention-appcenter/apps/dudle-docker/data:/var/lib/univention-appcenter/apps/dudle-docker/data', '-v', '/var/lib/univention-appcenter/apps/dudle-docker/conf:/var/lib/univention-appcenter/apps/dudle-docker/conf', 'docker.software-univention.de/ucs-appbox-amd64:4.1-0', '/sbin/init']' returned non-zero exit status 1
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/__init__.py", line 182, in call_with_namespace
    result = self.main(namespace)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/install.py", line 61, in main
    return self.do_it(args)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/install_base.py", line 107, in do_it
    self._do_it(app, args)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/install.py", line 74, in _do_it
    self._install_app(app, args)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/docker_install.py", line 57, in _install_app
    self._start_docker_image(app, hostdn, password, args)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/docker_base.py", line 175, in _start_docker_image
    container = docker.create(hostname, set_vars)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/docker.py", line 291, in create
    container = create(self.image, command, hostname, env, ports, volumes)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/docker.py", line 203, in create
    return check_output(['docker', 'create'] + args + [image] + command).strip()
  File "/usr/lib/python2.7/subprocess.py", line 544, in check_output
    raise CalledProcessError(retcode, cmd, output=output)
CalledProcessError: Command '['docker', 'create', '--hostname', 'dudle-docker-1448496408138266', '-e', 'update_secure_apt=no', '-e', 'UPDATE_SECURE_APT=no', '-e', 'nameserver_external=false', '-e', 'NAMESERVER_EXTERNAL=false', '-e', 'repository_app_center_server=appcenter-test.software-univention.de', '-e', 'REPOSITORY_APP_CENTER_SERVER=appcenter-test.software-univention.de', '-e', 'server_role=memberserver', '-e', 'SERVER_ROLE=memberserver', '-e', 'repository_online_server=updates-test.software-univention.de', '-e', 'REPOSITORY_ONLINE_SERVER=updates-test.software-univention.de', '-e', 'nameserver2=192.168.0.3', '-e', 'NAMESERVER2=192.168.0.3', '-e', 'nameserver1=10.200.3.35', '-e', 'NAMESERVER1=10.200.3.35', '-e', 'domainname=Uni.Dtr', '-e', 'DOMAINNAME=Uni.Dtr', '-e', 'ldap_hostdn=cn=dudle-docker-1448496408138266,cn=memberserver,cn=computers,dc=Uni,dc=Dtr', '-e', 'LDAP_HOSTDN=cn=dudle-docker-1448496408138266,cn=memberserver,cn=computers,dc=Uni,dc=Dtr', '-e', 'locale=en_US.UTF-8:UTF-8 de_DE.UTF-8:UTF-8', '-e', 'LOCALE=en_US.UTF-8:UTF-8 de_DE.UTF-8:UTF-8', '-e', 'updater_identify=Docker App', '-e', 'UPDATER_IDENTIFY=Docker App', '-e', 'locale_default=de_DE.UTF-8:UTF-8', '-e', 'LOCALE_DEFAULT=de_DE.UTF-8:UTF-8', '-e', 'nameserver_option_timeout=2', '-e', 'NAMESERVER_OPTION_TIMEOUT=2', '-e', 'ldap_master_port=7389', '-e', 'LDAP_MASTER_PORT=7389', '-e', 'ldap_master=Test35.Uni.Dtr', '-e', 'LDAP_MASTER=Test35.Uni.Dtr', '-e', 'update_warning_releasenotes=no', '-e', 'UPDATE_WARNING_RELEASENOTES=no', '-p', '40000:80', '-p', '40001:443', '-v', '/var/lib/univention-appcenter/apps/dudle-docker/data:/var/lib/univention-appcenter/apps/dudle-docker/data', '-v', '/var/lib/univention-appcenter/apps/dudle-docker/conf:/var/lib/univention-appcenter/apps/dudle-docker/conf', 'docker.software-univention.de/ucs-appbox-amd64:4.1-0', '/sbin/init']' returned non-zero exit status 1
Traceback (most recent call last):
  File "/usr/bin/univention-app", line 91, in <module>
    main()
  File "/usr/bin/univention-app", line 81, in main
    ret = args.func(args)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/__init__.py", line 182, in call_with_namespace
    result = self.main(namespace)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/install.py", line 61, in main
    return self.do_it(args)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/install_base.py", line 107, in do_it
    self._do_it(app, args)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/install.py", line 74, in _do_it
    self._install_app(app, args)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/docker_install.py", line 57, in _install_app
    self._start_docker_image(app, hostdn, password, args)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/docker_base.py", line 175, in _start_docker_image
    container = docker.create(hostname, set_vars)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/docker.py", line 291, in create
    container = create(self.image, command, hostname, env, ports, volumes)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/docker.py", line 203, in create
    return check_output(['docker', 'create'] + args + [image] + command).strip()
  File "/usr/lib/python2.7/subprocess.py", line 544, in check_output
    raise CalledProcessError(retcode, cmd, output=output)
subprocess.CalledProcessError: Command '['docker', 'create', '--hostname', 'dudle-docker-1448496408138266', '-e', 'update_secure_apt=no', '-e', 'UPDATE_SECURE_APT=no', '-e', 'nameserver_external=false', '-e', 'NAMESERVER_EXTERNAL=false', '-e', 'repository_app_center_server=appcenter-test.software-univention.de', '-e', 'REPOSITORY_APP_CENTER_SERVER=appcenter-test.software-univention.de', '-e', 'server_role=memberserver', '-e', 'SERVER_ROLE=memberserver', '-e', 'repository_online_server=updates-test.software-univention.de', '-e', 'REPOSITORY_ONLINE_SERVER=updates-test.software-univention.de', '-e', 'nameserver2=192.168.0.3', '-e', 'NAMESERVER2=192.168.0.3', '-e', 'nameserver1=10.200.3.35', '-e', 'NAMESERVER1=10.200.3.35', '-e', 'domainname=Uni.Dtr', '-e', 'DOMAINNAME=Uni.Dtr', '-e', 'ldap_hostdn=cn=dudle-docker-1448496408138266,cn=memberserver,cn=computers,dc=Uni,dc=Dtr', '-e', 'LDAP_HOSTDN=cn=dudle-docker-1448496408138266,cn=memberserver,cn=computers,dc=Uni,dc=Dtr', '-e', 'locale=en_US.UTF-8:UTF-8 de_DE.UTF-8:UTF-8', '-e', 'LOCALE=en_US.UTF-8:UTF-8 de_DE.UTF-8:UTF-8', '-e', 'updater_identify=Docker App', '-e', 'UPDATER_IDENTIFY=Docker App', '-e', 'locale_default=de_DE.UTF-8:UTF-8', '-e', 'LOCALE_DEFAULT=de_DE.UTF-8:UTF-8', '-e', 'nameserver_option_timeout=2', '-e', 'NAMESERVER_OPTION_TIMEOUT=2', '-e', 'ldap_master_port=7389', '-e', 'LDAP_MASTER_PORT=7389', '-e', 'ldap_master=Test35.Uni.Dtr', '-e', 'LDAP_MASTER=Test35.Uni.Dtr', '-e', 'update_warning_releasenotes=no', '-e', 'UPDATE_WARNING_RELEASENOTES=no', '-p', '40000:80', '-p', '40001:443', '-v', '/var/lib/univention-appcenter/apps/dudle-docker/data:/var/lib/univention-appcenter/apps/dudle-docker/data', '-v', '/var/lib/univention-appcenter/apps/dudle-docker/conf:/var/lib/univention-appcenter/apps/dudle-docker/conf', 'docker.software-univention.de/ucs-appbox-amd64:4.1-0', '/sbin/init']' returned non-zero exit status 1
Comment 1 Florian Best univentionstaff 2016-10-04 12:48:15 CEST
Reported again, 4.1-3 errata282 (Vahr)

Execution of command 'appcenter/docker/progress' has failed:

Traceback (most recent call last):
  File "%PY2.7%/univention/management/console/base.py", line 283, in execute
    function(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 318, in _response
    result = _multi_response(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 462, in _response
    return list(function(self, iterator, *nones))
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 284, in _fake_func
    yield function(self, *args)
  File "%PY2.7%/univention/management/console/modules/mixins.py", line 149, in progress
    ret = progress_obj.poll()
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 309, in _thread
    result = _multi_response(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 462, in _response
    return list(function(self, iterator, *nones))
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 284, in _fake_func
    yield function(self, *args)
  File "%PY2.7%/univention/management/console/modules/appcenter/__init__.py", line 397, in invoke_docker
    result['success'] = action.call(app=app, username=self.username, password=self.password, **kwargs)
  File "%PY2.7%/univention/appcenter/actions/__init__.py", line 183, in call
    return obj.call_with_namespace(namespace)
  File "%PY2.7%/univention/appcenter/actions/__init__.py", line 189, in call_with_namespace
    result = self.main(namespace)
  File "%PY2.7%/univention/appcenter/actions/install.py", line 66, in main
    return self.do_it(args)
  File "%PY2.7%/univention/appcenter/actions/install_base.py", line 108, in do_it
    self._do_it(app, args)
  File "%PY2.7%/univention/appcenter/actions/docker_install.py", line 64, in _do_it
    ret = super(Install, self)._do_it(app, args)
  File "%PY2.7%/univention/appcenter/actions/install.py", line 81, in _do_it
    if self._install_app(app, args):
  File "%PY2.7%/univention/appcenter/actions/docker_install.py", line 58, in _install_app
    self._start_docker_image(app, hostdn, password, args)
  File "%PY2.7%/univention/appcenter/actions/docker_base.py", line 199, in _start_docker_image
    container = docker.create(hostname, set_vars)
  File "%PY2.7%/univention/appcenter/docker.py", line 312, in create
    container = create(self.image, command, hostname, env, ports, volumes, env_file, args)
  File "%PY2.7%/univention/appcenter/docker.py", line 204, in create
    return check_output(['docker', 'create'] + _args + [image] + command).strip()
  File "/usr/lib/python2.7/subprocess.py", line 544, in check_output
    raise CalledProcessError(retcode, cmd, output=output)
CalledProcessError: Command '['docker', 'create', '--hostname', 'jenkins-1475252013303927', '-e', 'update_secure_apt=yes', '-e', 'UPDATE_SECURE_APT=yes', '-e',
'nameserver_external=false', '-e', 'NAMESERVER_EXTERNAL=false', '-e', 'repository_app_center_server=appcenter.software-univention.de', '-e',
'REPOSITORY_APP_CENTER_SERVER=appcenter.software-univention.de', '-e', u'server_role=memberserver', '-e', u'SERVER_ROLE=memberserver', '-e',
'repository_online_server=https://updates.software-univention.de/', '-e', 'REPOSITORY_ONLINE_SERVER=https://updates.software-univention.de/', '-e',
'nameserver2=172.16.152.2', '-e', 'NAMESERVER2=172.16.152.2', '-e', 'nameserver1=172.16.152.145', '-e', 'NAMESERVER1=172.16.152.145', '-e', 'domainname=demo.local', '-e',
'DOMAINNAME=demo.local', '-e', 'docker_host_name=server.demo.local', '-e', 'DOCKER_HOST_NAME=server.demo.local', '-e',
u'ldap_hostdn=cn=jenkins-1475252013303927,cn=memberserver,cn=computers,dc=demo,dc=local', '-e',
u'LDAP_HOSTDN=cn=jenkins-1475252013303927,cn=memberserver,cn=computers,dc=demo,dc=local', '-e', 'locale=en_US.UTF-8:UTF-8 de_DE.UTF-8:UTF-8', '-e', 'LOCALE=en_US.UTF-8:UTF-8
de_DE.UTF-8:UTF-8', '-e', 'updater_identify=Docker App', '-e', 'UPDATER_IDENTIFY=Docker App', '-e', 'locale_default=en_US.UTF-8:UTF-8', '-e', 'LOCALE_DEFAULT=en_US.UTF-8:UTF-8',
'-e', 'nameserver_option_timeout=2', '-e', 'NAMESERVER_OPTION_TIMEOUT=2', '-e', 'ldap_master_port=7389', '-e', 'LDAP_MASTER_PORT=7389', '-e', 'ldap_master=server.demo.local', '-e',
'LDAP_MASTER=server.demo.local', '-e', 'update_warning_releasenotes=no', '-e', 'UPDATE_WARNING_RELEASENOTES=no', '--env-file',
u'/var/lib/univention-appcenter/apps/jenkins/jenkins.env', '-p', '40001:8080', '-p', '50000:50000', '-v',
u'/var/lib/univention-appcenter/apps/jenkins/conf:/var/lib/univention-appcenter/apps/jenkins/conf', '-v',
u'/var/lib/univention-appcenter/apps/jenkins/data:/var/lib/univention-appcenter/apps/jenkins/data', 'docker.software-univention.de/jenkins:1.651.2']' returned non-zero exit status
Comment 2 Florian Best univentionstaff 2016-10-04 12:48:37 CEST
Do you think the 1-1-1 rating is correct?
Comment 4 Florian Best univentionstaff 2017-01-02 17:22:52 CET
Reported again, 4.1-4 errata360 (Vahr)
CalledProcessError: Command '['docker', 'create', '--hostname', 'etherpad-lite-1482261222340044', '-e', 'update_secure_apt=yes', '-e', 'UPDATE_SECURE_APT=yes', '-e',
'repository_app_center_server=appcenter.software-univention.de', '-e', 'REPOSITORY_APP_CENTER_SERVER=appcenter.software-univention.de', '-e', u'server_role=memberserver', '-e',
u'SERVER_ROLE=memberserver', '-e', 'locale=en_US.UTF-8:UTF-8 de_DE.UTF-8:UTF-8', '-e', 'LOCALE=en_US.UTF-8:UTF-8 de_DE.UTF-8:UTF-8', '-e', u'db_port=5432', '-e', u'DB_PORT=5432',
'-e', 'updater_identify=Docker App', '-e', 'UPDATER_IDENTIFY=Docker App', '-e', 'domainname=alpha.intranet', '-e', 'DOMAINNAME=alpha.intranet', '-e',
u'ldap_hostdn=cn=etherpad-lite-1482261222340044,cn=memberserver,cn=computers,dc=alpha,dc=intranet', '-e',
u'LDAP_HOSTDN=cn=etherpad-lite-1482261222340044,cn=memberserver,cn=computers,dc=alpha,dc=intranet', '-e', u'db_user=etherpad', '-e', u'DB_USER=etherpad', '-e',
'nameserver_option_timeout=2', '-e', 'NAMESERVER_OPTION_TIMEOUT=2', '-e', 'postgres8_autostart=no', '-e', 'POSTGRES8_AUTOSTART=no', '-e', 'update_warning_releasenotes=no', '-e',
'UPDATE_WARNING_RELEASENOTES=no', '-e', 'repository_online_server=https://updates.software-univention.de/', '-e',
'REPOSITORY_ONLINE_SERVER=https://updates.software-univention.de/', '-e', u'db_password=a1585298954faa929eff2becb8d44ad0cd1c523b6681aae07ba08737885c1cc0', '-e',
u'DB_PASSWORD=a1585298954faa929eff2becb8d44ad0cd1c523b6681aae07ba08737885c1cc0', '-e', u'db_name=etherpad-lite', '-e', u'DB_NAME=etherpad-lite', '-e',
'ldap_master=wuff.alpha.intranet', '-e', 'LDAP_MASTER=wuff.alpha.intranet', '-e', 'nameserver_external=false', '-e', 'NAMESERVER_EXTERNAL=false', '-e',
'locale_default=de_DE.UTF-8:UTF-8', '-e', 'LOCALE_DEFAULT=de_DE.UTF-8:UTF-8', '-e', 'nameserver3=8.8.8.8', '-e', 'NAMESERVER3=8.8.8.8', '-e', 'nameserver2=192.168.178.10', '-e',
'NAMESERVER2=192.168.178.10', '-e', 'docker_host_name=wuff.alpha.intranet', '-e', 'DOCKER_HOST_NAME=wuff.alpha.intranet', '-e', u'db_host=172.17.42.1', '-e',
u'DB_HOST=172.17.42.1', '-e', 'ldap_master_port=7389', '-e', 'LDAP_MASTER_PORT=7389', '-p', '40000:80', '-p', '40001:443', '-v',
u'/var/lib/univention-appcenter/apps/etherpad-lite/conf:/var/lib/univention-appcenter/apps/etherpad-lite/conf', '-v',
u'/var/lib/univention-appcenter/apps/etherpad-lite/data:/var/lib/univention-appcenter/apps/etherpad-lite/data', 'docker.software-univention.de/ucs-appbox-amd64:4.1-3',
'/sbin/init']' returned non-zero exit status 1
Comment 5 Florian Best univentionstaff 2017-04-21 13:46:57 CEST
Happens also when docker doesn't run:

Remark: docker läuft nicht
Comment 6 Florian Best univentionstaff 2017-04-21 13:47:44 CEST
Reported again, 4.1-4 errata408 (Vahr)
Comment 7 Florian Best univentionstaff 2017-04-21 13:48:45 CEST
Reported again, 4.1-4 errata408 (Vahr)

CalledProcessError: Command '['docker', 'create', '--hostname', 'nextc-25166207', '--env-file', u'/var/lib/univention-appcenter/apps/nextcloud/nextcloud.env', '-p', '40000:80/tcp',
'-v', u'/var/lib/univention-appcenter/apps/nextcloud/data:/var/lib/univention-appcenter/apps/nextcloud/data', '-v',
u'/var/lib/univention-appcenter/apps/nextcloud/conf:/var/lib/univention-appcenter/apps/nextcloud/conf', 'docker.software-univention.de/nextcloud:11.0.2-0',
'/usr/sbin/entrypoint.sh']' returned non-zero exit status 1
Comment 8 Florian Best univentionstaff 2017-04-21 15:35:34 CEST
Version: 4.1-4 errata408 (Vahr)
Comment 9 Florian Best univentionstaff 2017-05-30 10:54:52 CEST
Reported again, 4.2-0 errata25 (Lesum)

CalledProcessError: Command '['docker', 'create', '--hostname', 'nextc-06800164', '--env-file', u'/var/lib/univention-appcenter/apps/nextcloud/nextcloud.env', '-p', '40000:80/tcp',
'-v', u'/var/lib/univention-appcenter/apps/nextcloud/data:/var/lib/univention-appcenter/apps/nextcloud/data', '-v',
u'/var/lib/univention-appcenter/apps/nextcloud/conf:/var/lib/univention-appcenter/apps/nextcloud/conf', '-v', '/sys/fs/cgroup:/sys/fs/cgroup:ro', '--tmpfs', '/run', '--tmpfs',
'/run/lock', '--security-opt', 'seccomp:/etc/docker/seccomp-systemd.json', '-e', 'container=docker', 'nextcloud/univention-app-image:11.0.3-0', '/usr/sbin/entrypoint.sh']' returned
non-zero exit status 1
Comment 11 Florian Best univentionstaff 2017-06-01 09:35:18 CEST
Reported again, 4.1-4 errata420 (Vahr)

CalledProcessError: Command '['docker', 'create', '--hostname', 'nextc-26947624', '--env-file', u'/var/lib/univention-appcenter/apps/nextcloud/nextcloud.env', '-p', '40002:80/tcp',
'-v', u'/var/lib/univention-appcenter/apps/nextcloud/data:/var/lib/univention-appcenter/apps/nextcloud/data', '-v',
u'/var/lib/univention-appcenter/apps/nextcloud/conf:/var/lib/univention-appcenter/apps/nextcloud/conf', 'nextcloud/univention-app-image:11.0.3-0', '/usr/sbin/entrypoint.sh']'
returned non-zero exit status 1
Comment 12 Florian Best univentionstaff 2017-06-12 13:58:20 CEST
Reported again, 4.1-4 errata429 (Vahr)

CalledProcessError: Command '['docker', 'create', '--hostname', 'owncl-81352454', '--env-file', u'/var/lib/univention-appcenter/apps/owncloud/owncloud.env', '-p', '40000:80/tcp',
'-p', '40001:443/tcp', '-v', u'/var/lib/univention-appcenter/apps/owncloud/conf:/var/lib/univention-appcenter/apps/owncloud/conf', '-v',
u'/var/lib/univention-appcenter/apps/owncloud/data:/var/lib/univention-appcenter/apps/owncloud/data', 'docker.software-univention.de/owncloud_server:10.0.1',
'/usr/local/bin/owncloud']' returned non-zero exit status 1
Comment 13 Florian Best univentionstaff 2017-06-23 17:35:31 CEST
Reported again, 4.1-4 errata429 (Vahr)

CalledProcessError: Command '['docker', 'create', '--hostname', 'owncl-44032965', '--env-file', '/var/lib/univention-appcenter/apps/owncloud/owncloud.env', '-p', '40000:80/tcp',
'-p', '40001:443/tcp', '-v', '/var/lib/univention-appcenter/apps/owncloud/conf:/var/lib/univention-appcenter/apps/owncloud/conf', '-v',
'/var/lib/univention-appcenter/apps/owncloud/data:/var/lib/univention-appcenter/apps/owncloud/data', 'docker.software-univention.de/owncloud_server:10.0.1',
'/usr/local/bin/owncloud']' returned non-zero exit status 1
Comment 14 Florian Best univentionstaff 2017-07-07 16:39:52 CEST
Reported again, 4.2-1 errata85 (Lesum)

CalledProcessError: Command '['docker', 'create', '--hostname', 'filew-66145162', '--env-file', u'/var/lib/univention-appcenter/apps/filewave/filewave.env', '-p',
'19995:19995/tcp', '-p', '19996:19996/tcp', '-p', '20005:20005/tcp', '-p', '20006:20006/tcp', '-p', '20015:20015/tcp', '-p', '20016:20016/tcp', '-p', '20017:20017/tcp', '-p',
'20030:20030/tcp', '-p', '20443:20443/tcp', '-p', '20445:20445/tcp', '-p', '20446:20446/tcp', '-v', u'/fw/apache_passwords:/usr/local/filewave/apache/passwords', '-v',
u'/fw/filewave_ipa:/usr/local/filewave/ipa', '-v', u'/var/lib/univention-appcenter/apps/filewave/data:/var/lib/univention-appcenter/apps/filewave/data', '-v',
u'/fw/db_folder:/fwxserver/DB', '-v', u'/fw/apache_logs:/usr/local/filewave/apache/logs', '-v', u'/fw/filewave_certs:/usr/local/filewave/certs', '-v',
u'/fw/filewave_tmp:/usr/local/filewave/tmp', '-v', u'/fw/data_folder:/fwxserver/Data Folder', '-v', '/sys/fs/cgroup:/sys/fs/cgroup:ro', '-v',
u'/fw/filewave_fwcld:/usr/local/filewave/fwcld', '-v', u'/fw/filewave_log:/usr/local/filewave/log', '-v',
u'/var/lib/univention-appcenter/apps/filewave/conf:/var/lib/univention-appcenter/apps/filewave/conf', '-v', '/etc/apt/apt.conf.d/80proxy:/etc/apt/apt.conf.d/80proxy:ro', '-v',
u'/fw/server_log:/private/var/log', '-v', u'/fw/apache_conf:/usr/local/filewave/apache/conf', '-v', u'/fw/filewave_media:/usr/local/filewave/media', '--tmpfs', '/run', '--tmpfs',
'/run/lock', '--security-opt', 'seccomp:/etc/docker/seccomp-systemd.json', '-e', 'container=docker', 'docker.software-univention.de/filewave:12.1.0', '/sbin/init']' returned
non-zero exit status 1
Comment 15 Florian Best univentionstaff 2017-07-14 14:00:08 CEST
Reported again, 4.1-4 errata439 (Vahr)

Remark: i cant install.

CalledProcessError: Command '['docker', 'create', '--hostname', 'owncl-02491043', '--env-file', u'/var/lib/univention-appcenter/apps/owncloud/owncloud.env', '-p', '40000:80/tcp',
'-p', '40001:443/tcp', '-v', u'/var/lib/univention-appcenter/apps/owncloud/conf:/var/lib/univention-appcenter/apps/owncloud/conf', '-v',
u'/var/lib/univention-appcenter/apps/owncloud/data:/var/lib/univention-appcenter/apps/owncloud/data', 'docker.software-univention.de/owncloud_server:10.0.1',
'/usr/local/bin/owncloud']' returned non-zero exit status 1
Comment 16 Florian Best univentionstaff 2017-08-04 16:10:43 CEST
Reported again, 4.2-0 errata0 (Lesum)

CalledProcessError: Command '['docker', 'create', '--hostname', 'noctu-82022774', '--env-file', u'/var/lib/univention-appcenter/apps/noctua/noctua.env', '-p', '8002:8002/tcp',
'-p', '18080:18080/tcp', '-v', u'/var/lib/univention-appcenter/apps/noctua/data:/var/lib/univention-appcenter/apps/noctua/data', '-v',
u'/var/lib/univention-appcenter/apps/noctua/conf:/var/lib/univention-appcenter/apps/noctua/conf', '-v', '/sys/fs/cgroup:/sys/fs/cgroup:ro', '--tmpfs', '/run', '--tmpfs',
'/run/lock', '--security-opt', 'seccomp:/etc/docker/seccomp-systemd.json', '-e', 'container=docker', 'docker.software-univention.de/noctua:3.0', '/sbin/init']' returned non-zero
exit status 1
Comment 17 Florian Best univentionstaff 2017-08-15 09:29:25 CEST
Version: 4.2-1 errata122 (Lesum)
#2017080721000591

CalledProcessError: Command '['docker', 'create', '--hostname', 'nextc-65007594', '--env-file', u'/var/lib/univention-appcenter/apps/nextcloud/nextcloud.env', '-p', '40000:80/tcp',
'-v', u'/var/lib/univention-appcenter/apps/nextcloud/data:/var/lib/univention-appcenter/apps/nextcloud/data', '-v', '/etc/apt/apt.conf.d/80proxy:/etc/apt/apt.conf.d/80proxy:ro',
'-v', u'/var/lib/univention-appcenter/apps/nextcloud/conf:/var/lib/univention-appcenter/apps/nextcloud/conf', '-v', '/sys/fs/cgroup:/sys/fs/cgroup:ro', '--tmpfs', '/run',
'--tmpfs', '/run/lock', '--security-opt', 'seccomp:/etc/docker/seccomp-systemd.json', '-e', 'container=docker', 'nextcloud/univention-app-image:11.0.3-0',
'/usr/sbin/entrypoint.sh']' returned non-zero exit status 1
Comment 18 Florian Best univentionstaff 2017-08-23 10:17:04 CEST
Version: 4.1-4 errata471 (Vahr)
#2017082321000087

Remark: Clicked "install"
Comment 19 Florian Best univentionstaff 2017-08-29 14:04:31 CEST
Version: 4.2-1 errata52 (Lesum)
#2017082921000227
Comment 20 Florian Best univentionstaff 2017-08-29 14:04:59 CEST
CalledProcessError: Command '['docker', 'create', '--hostname', 'horde-19810458', '--env-file', u'/var/lib/univention-appcenter/apps/horde/horde.env', '-p', '40000:80/tcp', '-p',
'40001:443/tcp', '-v', '/etc/apt/apt.conf.d/80proxy:/etc/apt/apt.conf.d/80proxy:ro', '-v', '/sys/fs/cgroup:/sys/fs/cgroup:ro', '-v',
u'/var/lib/univention-appcenter/apps/horde/logs/horde:/var/log/horde', '-v', u'/var/lib/univention-appcenter/apps/horde/logs/apache2:/var/log/apache2', '-v',
u'/var/lib/univention-appcenter/apps/horde/conf:/var/lib/univention-appcenter/apps/horde/conf', '-v',
u'/var/lib/univention-appcenter/apps/horde/data:/var/lib/univention-appcenter/apps/horde/data', '--tmpfs', '/run', '--tmpfs', '/run/lock', '--security-opt',
'seccomp:/etc/docker/seccomp-systemd.json', '-e', 'container=docker', 'docker.software-univention.de/ucs-appbox-amd64:4.1-3', '/sbin/init']' returned non-zero exit status 1
Comment 21 Florian Best univentionstaff 2017-08-29 14:32:30 CEST
Reported again, 4.2-1 errata144 (Lesum), #2017082921000441

CalledProcessError: Command '['docker', 'create', '--hostname', 'colla-77051738', '--env-file', u'/var/lib/univention-appcenter/apps/collabora/collabora.env', '-p',
'9980:9980/tcp', '-v', '/etc/apt/apt.conf.d/80proxy:/etc/apt/apt.conf.d/80proxy:ro', '-v',
u'/var/lib/univention-appcenter/apps/collabora/data:/var/lib/univention-appcenter/apps/collabora/data', '-v', '/sys/fs/cgroup:/sys/fs/cgroup:ro', '-v',
u'/var/lib/univention-appcenter/apps/collabora/conf:/var/lib/univention-appcenter/apps/collabora/conf', '--restart', 'always', '--cap-add', 'MKNOD', '-t', '--tmpfs', '/run',
'--tmpfs', '/run/lock', '--security-opt', 'seccomp:/etc/docker/seccomp-systemd.json', '-e', 'container=docker', 'docker.software-univention.de/collabora/code:2.1.2', '/bin/sh',
'-c', 'bash start-libreoffice.sh']' returned non-zero exit status 1
Comment 22 Florian Best univentionstaff 2017-09-15 11:44:14 CEST
 Version: 4.2-2 errata159 (Lesum)

Remark: 2nd time that installation of owncloud failed
#2017091321000282
Comment 23 Florian Best univentionstaff 2017-09-22 17:00:21 CEST
Ticket #2017090421000763

Version: 4.2-1 errata157 (Lesum)

Execution of command 'appcenter/docker/progress' has failed:

Traceback (most recent call last):
  File "%PY2.7%/univention/management/console/base.py", line 249, in execute
    function.__func__(self, request, *args, **kwargs)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 318, in _response
    result = _multi_response(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 192, in _response
    return function(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 440, in _response
    return list(function(self, iterator, *nones))
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 286, in _fake_func
    yield function(self, *args)
  File "%PY2.7%/univention/management/console/modules/mixins.py", line 149, in progress
    ret = progress_obj.poll()
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 309, in _thread
    result = _multi_response(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 192, in _response
    return function(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 440, in _response
    return list(function(self, iterator, *nones))
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 286, in _fake_func
    yield function(self, *args)
  File "%PY2.7%/univention/management/console/modules/appcenter/__init__.py", line 417, in invoke_docker
    result['success'] = action.call(app=app, username=self.username, password=self.password, **kwargs)
  File "%PY2.7%/univention/appcenter/actions/__init__.py", line 239, in call
    return obj.call_with_namespace(namespace)
  File "%PY2.7%/univention/appcenter/actions/__init__.py", line 245, in call_with_namespace
    result = self.main(namespace)
  File "%PY2.7%/univention/appcenter/actions/upgrade.py", line 75, in main
    return self.do_it(args)
  File "%PY2.7%/univention/appcenter/actions/install_base.py", line 126, in do_it
    self._do_it(app, args)
  File "%PY2.7%/univention/appcenter/actions/docker_upgrade.py", line 107, in _do_it
    self._upgrade_image(app, args)
  File "%PY2.7%/univention/appcenter/actions/docker_upgrade.py", line 157, in _upgrade_image
    self._install_new_app(app, args)
  File "%PY2.7%/univention/appcenter/actions/docker_upgrade.py", line 66, in _install_new_app
    return Install._do_it(self, app, args)
  File "%PY2.7%/univention/appcenter/actions/docker_install.py", line 65, in _do_it
    ret = super(Install, self)._do_it(app, args)
  File "%PY2.7%/univention/appcenter/actions/install.py", line 87, in _do_it
    if self._install_app(app, args):
  File "%PY2.7%/univention/appcenter/actions/docker_install.py", line 59, in _install_app
    self._start_docker_image(app, hostdn, password, args)
  File "%PY2.7%/univention/appcenter/actions/docker_base.py", line 217, in _start_docker_image
    container = docker.create(hostname, set_vars)
  File "%PY2.7%/univention/appcenter/docker.py", line 352, in create
    container = create(self.image, command, hostname, ports, volumes, env_file, args)
  File "%PY2.7%/univention/appcenter/docker.py", line 174, in create
    return check_output(['docker', 'create'] + _args + [image] + command).strip()
  File "/usr/lib/python2.7/subprocess.py", line 573, in check_output
    raise CalledProcessError(retcode, cmd, output=output)
CalledProcessError: Command '['docker', 'create', '--hostname', 'colla-51087168', '--env-file', u'/var/lib/univention-appcenter/apps/collabora/collabora.env', '-p',
'9980:9980/tcp', '-v', '/etc/apt/apt.conf.d/80proxy:/etc/apt/apt.conf.d/80proxy:ro', '-v',
u'/var/lib/univention-appcenter/apps/collabora/data:/var/lib/univention-appcenter/apps/collabora/data', '-v', '/sys/fs/cgroup:/sys/fs/cgroup:ro', '-v',
u'/var/lib/univention-appcenter/apps/collabora/conf:/var/lib/univention-appcenter/apps/collabora/conf', '--restart', 'always', '--cap-add', 'MKNOD', '-t', '--tmpfs', '/run',
'--tmpfs', '/run/lock', '--security-opt', 'seccomp:/etc/docker/seccomp-systemd.json', '-e', 'container=docker', u'collabora/code:2.1.3', '/bin/sh', '-c', 'bash
start-libreoffice.sh']' returned non-zero exit status 1
Comment 24 Florian Best univentionstaff 2017-10-12 20:25:39 CEST
Version: 4.2-2 errata189 (Lesum)

Remark: nach deinstallation nicht mehr zu installieren

CalledProcessError: Command '['docker', 'create', '--hostname', 'nextc-96288819', '--env-file', u'/var/lib/univention-appcenter/apps/nextcloud/nextcloud.env', '-p', '40000:80/tcp',
'-v', u'/var/lib/univention-appcenter/apps/nextcloud/data:/var/lib/univention-appcenter/apps/nextcloud/data', '-v', '/etc/apt/apt.conf.d/80proxy:/etc/apt/apt.conf.d/80proxy:ro',
'-v', u'/var/lib/univention-appcenter/apps/nextcloud/conf:/var/lib/univention-appcenter/apps/nextcloud/conf', '-v', '/sys/fs/cgroup:/sys/fs/cgroup:ro', '--tmpfs', '/run',
'--tmpfs', '/run/lock', '--security-opt', 'seccomp:/etc/docker/seccomp-systemd.json', '-e', 'container=docker', 'nextcloud/univention-app-image:12.0.3-0',
'/usr/sbin/entrypoint.sh']' returned non-zero exit status 1
Comment 25 Florian Best univentionstaff 2017-10-12 21:29:48 CEST
#2017091621000213  Version: 4.2-2 errata164 (Lesum)
CalledProcessError: Command '['docker', 'create', '--hostname', 'openp-81245074', '--env-file', u'/var/lib/univention-appcenter/apps/openproject/openproject.env', '-p',
'40001:80/tcp', '-v', u'/var/lib/univention-appcenter/apps/openproject/data:/var/lib/univention-appcenter/apps/openproject/data', '-v',
'/etc/apt/apt.conf.d/80proxy:/etc/apt/apt.conf.d/80proxy:ro', '-v', u'/var/lib/univention-appcenter/apps/openproject/conf:/var/lib/univention-appcenter/apps/openproject/conf',
'-v', '/sys/fs/cgroup:/sys/fs/cgroup:ro', '--tmpfs', '/run', '--tmpfs', '/run/lock', '--security-opt', 'seccomp:/etc/docker/seccomp-systemd.json', '-e', 'container=docker',
'docker.software-univention.de/ucs-appbox-amd64:4.1-4', '/sbin/init']' returned non-zero exit status 1
Comment 26 Dirk Wiesenthal univentionstaff 2017-10-19 12:37:38 CEST
Fixed in
  univention-appcenter 6.0.10-17A~4.2.0.201710191114

We need to remember to adjust the Appliance build scripts after releasing this package. They are internal, so this is not a problem. Just pass pull_image=False to the install routine.
Comment 27 Felix Botner univentionstaff 2017-10-19 15:54:09 CEST
OK - tracking
tracking information: {'status': 435, 'uuid': '52b27c61-f471-45e9-a46f-da210ffc4cb2', 'app': 'collabora', 'version': '2.1.3', 'role': 'domaincontroller_master', 'action': 'install', 'system-uuid': '4348498a-03cf-41f1-910f-1f8e51ca84b1'}

OK - install error
Pulling repository docker.io/library/docke
Error: image library/docke:latest not found
Downloading Docker image docke failed.
Aborting...
Going to remove Collabora Online Development Edition (2.1.3)

OK - --do-not-pull-image

OK - YAML
Comment 28 Felix Botner univentionstaff 2017-10-23 15:19:02 CEST
64_app_container_upgrade.test

fails now

(2017-10-22 23:07:38.776161)   File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/docker_install.py", line 60, in _install_app
(2017-10-22 23:07:38.776169)     self._start_docker_image(app, hostdn, password, args)
(2017-10-22 23:07:38.776178)   File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/docker_base.py", line 159, in _start_docker_image
(2017-10-22 23:07:38.776186)     if args.pull_image:
(2017-10-22 23:07:38.776194) AttributeError: 'Namespace' object has no attribute 'pull_image'
Comment 29 Florian Best univentionstaff 2017-10-23 16:41:41 CEST
Reported again, #2017101721000791
Version: 4.2-2 errata198 (Lesum)

Remark: installing Collabora Online 2.1.4 (Test App) on a fully upgraded UCS 4.2-2

CalledProcessError: Command '['docker', 'create', '--hostname', 'colla-27683798', '--env-file', u'/var/lib/univention-appcenter/apps/collabora/collabora.env', '-p',
'9980:9980/tcp', '-v', '/etc/apt/apt.conf.d/80proxy:/etc/apt/apt.conf.d/80proxy:ro', '-v',
u'/var/lib/univention-appcenter/apps/collabora/data:/var/lib/univention-appcenter/apps/collabora/data', '-v', '/sys/fs/cgroup:/sys/fs/cgroup:ro', '-v',
u'/var/lib/univention-appcenter/apps/collabora/conf:/var/lib/univention-appcenter/apps/collabora/conf', '--restart', 'always', '--cap-add', 'MKNOD', '-t', '--tmpfs', '/run',
'--tmpfs', '/run/lock', '--security-opt', 'seccomp:/etc/docker/seccomp-systemd.json', '-e', 'container=docker', 'docker.software-univention.de/collabora/code:2.1.4', '/bin/sh',
'-c', 'bash start-libreoffice.sh']' returned non-zero exit status 1
Comment 30 Dirk Wiesenthal univentionstaff 2017-10-24 12:29:46 CEST
Fixed in
  univention-appcenter 6.0.10-21A~4.2.0.201710241228
Comment 31 Felix Botner univentionstaff 2017-10-24 13:34:26 CEST
ok - ucs-test
Comment 32 Arvid Requate univentionstaff 2017-10-25 14:49:31 CEST
<http://errata.software-univention.de/ucs/4.2/204.html>
Comment 33 Johannes Keiser univentionstaff 2018-01-15 17:32:08 CET
Reported again: Version: 4.2-2 errata189 (Lesum)